import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';

import { AuthService } from "../../services/auth-service";
import { OdooService } from "../../services/odoo-service";
import { PouchService } from "../../services/pouch-service";

@Component({
    selector: 'page-page1',
    templateUrl: 'page1.html'
})
export class Page1 {

    constructor(
        public navCtrl: NavController,
        public auth: AuthService,
        public odoo: OdooService,
        public pouch: PouchService
    ) { 
      
    }

    /**
     *
     */
    testLogin(e) {
     
    }

    /**
     *
     */
    testCall(e) {
        this.odoo.checkAccessRights('res.partner', ['read']).subscribe(result => {
            console.log(result);
            
        });
    }
}
